      ******************************************************************
      * Licensed materials - Property of IBM                           *
      * 5724-T07(C) Copyright IBM Corp. 2020                           *
      * All rights reserved                                            *
      * US Government users restricted rights  -  Use, duplication or  *
      * disclosure restricted by GSA ADP schedule contract with IBM    *
      * Corp.                                                          *
      *                                                                *
      * IBM Developer for z/OS (IDz)                                   *
      * IBM z/OS Automated Unit Testing Framework (zUnit)              *
      * Enterprise COBOL zUnit Test Case Sample CALL02.cbl             *
      *                                                                *
      * @since   15.0.0                                                *
      * @version 15.0.0                                                *
      ******************************************************************
       IDENTIFICATION DIVISION.
       PROGRAM-ID. CALL02.
       ENVIRONMENT DIVISION.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
       01 PARM2.
         05 SNUM10-02    PIC S9(08)V9(02) VALUE 0.
         05 SLNUM10      PIC S9(10) SIGN LEADING VALUE 0.
         05 SBIN09       PIC S9(09) BINARY VALUE 0.
         05 SPACK04      PIC S9(04) COMP-3 VALUE 0.
       01 PARM4          PIC X(4) VALUE "AAAA".
       01 PARM5.
         03 PARM51       PIC 9(2) VALUE 4.
         03 PARM52       PIC X(2) .

       01 PGMNAME        PIC X(8) VALUE "SUB02A  ".

       LINKAGE SECTION.
       01 PARM1.
         03  FILLER      PIC X(2).
         03  ITEM1       PIC X(6).

       PROCEDURE DIVISION USING PARM1.

           DISPLAY '** CALL02 START'

           DISPLAY "ITEM1 OF PARM1:" ITEM1 OF PARM1

      * CALL SUB02A

           CALL PGMNAME USING ITEM1 OF PARM1 PARM2

           DISPLAY " AFTER SUB02A ITEM1 OF PARM1:"
              ITEM1 OF PARM1

           DISPLAY " AFTER SUB02A SNUM10-02 OF PARM2:"
              SNUM10-02 OF PARM2
           DISPLAY " AFTER SUB02A SLNUM10 OF PARM2:"
              SLNUM10 OF PARM2
           DISPLAY " AFTER SUB02A SBIN09 OF PARM2:"
              SBIN09 OF PARM2
           DISPLAY " AFTER SUB02A SPACK04 OF PARM2:"
              SPACK04 OF PARM2

      * CALL SUB02B

           CALL "SUB02B" USING ITEM1 OF PARM1 PARM2

           DISPLAY " AFTER SUB02B ITEM1 OF PARM1:"
              ITEM1 OF PARM1

           DISPLAY " AFTER SUB02B SNUM10-02 OF PARM2:"
              SNUM10-02 OF PARM2
           DISPLAY " AFTER SUB02B SLNUM10 OF PARM2:"
              SLNUM10 OF PARM2
           DISPLAY " AFTER SUB02B SBIN09 OF PARM2:"
              SBIN09 OF PARM2
           DISPLAY " AFTER SUB02B SPACK04 OF PARM2:"
              SPACK04 OF PARM2

           DISPLAY '** CALL02 END'

      *****************************************************
           GOBACK.