//TOURBLD JOB ,
// <JOB PARAMETERS>
//PROCS JCLLIB ORDER=(<PDS NAME FOR IDZ CATALOG PROCEDURE>)
//**********************************************************************
//* Licensed materials - Property of IBM
//* 5755-AC5 5724-T07 Copyright IBM Corp. 2023
//* All rights reserved
//* US Government users restricted rights  -  Use, duplication or
//* disclosure restricted by GSA ADP schedule contract with IBM Corp.
//*
//* A JCL that compiles and links ZUnit sample programs,
//* TOURFILE.cbl and CHKCODE.cbl.
//* You should submit this JCL to remote system
//* before proceding sample scenario.
//*
//* CAUTION: This is neither a JCL procedure nor a complete job.
//* Before using this job step, you will have to make the following
//* modifications:
//*
//* 1) Add the job parameters to meet your system requirements.
//*
//* 2) Provide, in variable HLQ, the high-level qualifier(s) of the
//*    allocated data sets (default is your user ID).
//**********************************************************************
//* YOU CAN CHANGE HLQ FOR PDS
//        SET HLQ=&SYSUID.
//*
//* COMPILE TOURFILE AND TOURCHK
//STP0000 EXEC PROC=ELAXFCOC,
// CICS=,
// DB2=,
// COMP=,
// PARM.COBOL=('LIB',
// 'SOURCE',
// 'TEST',
// 'LIST')
//COBOL.SYSPRINT DD DISP=SHR,
//        DSN=&HLQ..COBOL.LISTING(TOURFILE)
//COBOL.SYSDEBUG DD DISP=SHR,
//        DSN=&HLQ..COBOL.SYSDEBUG(TOURFILE)
//COBOL.SYSLIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(TOURFILE)
//COBOL.SYSLIB DD DISP=SHR,
//        DSN=&HLQ..COBOL.COPYLIB
//COBOL.SYSXMLSD DD DUMMY
//COBOL.SYSIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.SOURCE.COBOL(TOURFILE)
//*
//STP0001 EXEC PROC=ELAXFCOC,
// CICS=,
// DB2=,
// COMP=,
// PARM.COBOL=('LIB',
// 'SOURCE',
// 'TEST',
// 'LIST')
//COBOL.SYSPRINT DD DISP=SHR,
//        DSN=&HLQ..COBOL.LISTING(TOURCHK)
//COBOL.SYSDEBUG DD DISP=SHR,
//        DSN=&HLQ..COBOL.SYSDEBUG(TOURCHK)
//COBOL.SYSLIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(TOURCHK)
//COBOL.SYSLIB DD DISP=SHR,
//        DSN=&HLQ..COBOL.COPYLIB
//COBOL.SYSXMLSD DD DUMMY
//COBOL.SYSIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.SOURCE.COBOL(TOURCHK)
//*
//* LINK DYNAMICALLY
//LKED0 EXEC PROC=ELAXFLNK,
// PARM.LINK=('REUS')
//LINK.OBJ0000 DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(TOURFILE)
//LINK.SYSLIN DD *
     INCLUDE OBJ0000
/*
//LINK.SYSLMOD   DD  DISP=SHR,
//        DSN=&HLQ..COBOL.LOAD(TOURFILE)
//*
//LKED1 EXEC PROC=ELAXFLNK,
// PARM.LINK=('REUS')
//LINK.OBJ0001 DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(TOURCHK)
//LINK.SYSLIN DD *
     INCLUDE OBJ0001
/*
//LINK.SYSLMOD   DD  DISP=SHR,
//        DSN=&HLQ..COBOL.LOAD(TOURCHK)
//
